Package org.codehaus.groovy.vmplugin.v5

# Class Java5

java.lang.Object
org.codehaus.groovy.vmplugin.v5.Java5

All Implemented Interfaces:
  `VMPlugin`

Direct Known Subclasses:
  `Java6`

    @Deprecated
    public class Java5
    extends java.lang.Object
    implements VMPlugin

Deprecated.
java 5 based functions

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Java5()` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `checkAccessible​(java.lang.Class<?> callerClass, java.lang.Class<?> declaringClass, int memberModifiers, boolean allowIllegalAccess)` | Deprecated. check whether the member can be accessed or not
  `boolean` | `checkCanSetAccessible​(java.lang.reflect.AccessibleObject accessibleObject, java.lang.Class<?> callerClass)` | Deprecated. The following scenarios can not set accessible, i.e.
  `void` | `configureAnnotation​(AnnotationNode node)` | Deprecated.
  `void` | `configureAnnotationFromDefinition​(AnnotationNode definition, AnnotationNode root)` | Deprecated.
  `void` | `configureAnnotationNodeFromDefinition​(AnnotationNode definition, AnnotationNode root)` | Deprecated.
  `void` | `configureClassNode​(CompileUnit compileUnit, ClassNode classNode)` | Deprecated.
  `static GenericsType` | `configureTypeVariableDefinition​(ClassNode base, ClassNode[] cBounds)` | Deprecated.
  `static ClassNode` | `configureTypeVariableReference​(java.lang.String name)` | Deprecated.
  `protected void` | `fillParameterNames​(java.lang.String[] names, java.lang.reflect.Member member)` | Deprecated.
  `protected int` | `getElementCode​(java.lang.annotation.ElementType value)` | Deprecated.
  `java.lang.Object` | `getInvokeSpecialHandle​(java.lang.reflect.Method m, java.lang.Object receiver)` | Deprecated. Returns a handle with bound receiver to invokeSpecial the given method.
  `java.lang.Class[]` | `getPluginDefaultGroovyMethods()` | Deprecated.
  `java.lang.Class[]` | `getPluginStaticGroovyMethods()` | Deprecated.
  `int` | `getVersion()` | Deprecated. Gives the version the plugin is made for
  `void` | `invalidateCallSites()` | Deprecated.
  `java.lang.Object` | `invokeHandle​(java.lang.Object handle, java.lang.Object[] args)` | Deprecated. Invokes a handle produced by #getInvokeSpecialdHandle
  `protected Parameter` | `makeParameter​(CompileUnit cu, java.lang.reflect.Type type, java.lang.Class cl, java.lang.annotation.Annotation[] annotations, java.lang.String name)` | Deprecated.
  `protected Parameter[]` | `processParameters​(CompileUnit compileUnit, java.lang.reflect.Method m)` | Deprecated.
  `void` | `setAdditionalClassInformation​(ClassNode cn)` | Deprecated.
  `MetaMethod` | `transformMetaMethod​(MetaClass metaClass, MetaMethod metaMethod)` | Deprecated. transform meta method.
  `MetaMethod` | `transformMetaMethod​(MetaClass metaClass, MetaMethod metaMethod, java.lang.Class<?> caller)` | Deprecated. transform meta method
  `boolean` | `trySetAccessible​(java.lang.reflect.AccessibleObject ao)` | Deprecated. Set the `accessible` flag for this reflected object to `true` if possible.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.vmplugin.VMPlugin

  `getDefaultImportClasses`

- ## Constructor Details

  - ### Java5

    public Java5()
    Deprecated.

- ## Method Details

  - ### setAdditionalClassInformation

    public void setAdditionalClassInformation​(ClassNode cn)
    Deprecated.
    Specified by:
      `setAdditionalClassInformation` in interface `VMPlugin`

  - ### configureTypeVariableDefinition

    public static GenericsType configureTypeVariableDefinition​(ClassNode base, ClassNode[] cBounds)
    Deprecated.

  - ### configureTypeVariableReference

    public static ClassNode configureTypeVariableReference​(java.lang.String name)
    Deprecated.

  - ### getPluginDefaultGroovyMethods

    public java.lang.Class[] getPluginDefaultGroovyMethods()
    Deprecated.
    Specified by:
      `getPluginDefaultGroovyMethods` in interface `VMPlugin`

  - ### getPluginStaticGroovyMethods

    public java.lang.Class[] getPluginStaticGroovyMethods()
    Deprecated.
    Specified by:
      `getPluginStaticGroovyMethods` in interface `VMPlugin`

  - ### configureAnnotationFromDefinition

    @Deprecated public void configureAnnotationFromDefinition​(AnnotationNode definition, AnnotationNode root)
    Deprecated.

  - ### configureAnnotationNodeFromDefinition

    public void configureAnnotationNodeFromDefinition​(AnnotationNode definition, AnnotationNode root)
    Deprecated.
    Specified by:
      `configureAnnotationNodeFromDefinition` in interface `VMPlugin`

  - ### configureAnnotation

    public void configureAnnotation​(AnnotationNode node)
    Deprecated.
    Specified by:
      `configureAnnotation` in interface `VMPlugin`

  - ### getElementCode

    protected int getElementCode​(java.lang.annotation.ElementType value)
    Deprecated.

  - ### configureClassNode

    public void configureClassNode​(CompileUnit compileUnit, ClassNode classNode)
    Deprecated.
    Specified by:
      `configureClassNode` in interface `VMPlugin`

  - ### processParameters

    @Deprecated protected Parameter[] processParameters​(CompileUnit compileUnit, java.lang.reflect.Method m)
    Deprecated.

  - ### makeParameter

    @Deprecated protected Parameter makeParameter​(CompileUnit cu, java.lang.reflect.Type type, java.lang.Class cl, java.lang.annotation.Annotation[] annotations, java.lang.String name)
    Deprecated.

  - ### fillParameterNames

    protected void fillParameterNames​(java.lang.String[] names, java.lang.reflect.Member member)
    Deprecated.

  - ### invalidateCallSites

    public void invalidateCallSites()
    Deprecated.
    Specified by:
      `invalidateCallSites` in interface `VMPlugin`

  - ### getInvokeSpecialHandle

    public java.lang.Object getInvokeSpecialHandle​(java.lang.reflect.Method m, java.lang.Object receiver)
    Deprecated.
    Description copied from interface: `VMPlugin`
    Returns a handle with bound receiver to invokeSpecial the given method. This method will require at least Java 7, but since the source has to compile on older Java versions as well it is not marked to return a MethodHandle and uses Object instead
    Specified by:
      `getInvokeSpecialHandle` in interface `VMPlugin`
    Returns:
      null in case of jdk<7, otherwise a handle that takes the method call arguments for the invokespecial call

  - ### getVersion

    public int getVersion()
    Deprecated.
    Description copied from interface: `VMPlugin`
    Gives the version the plugin is made for
    Specified by:
      `getVersion` in interface `VMPlugin`
    Returns:
      7 for jdk7, 8 for jdk8, 9 for jdk9 or higher

  - ### invokeHandle

    public java.lang.Object invokeHandle​(java.lang.Object handle, java.lang.Object[] args) throws java.lang.Throwable
    Deprecated.
    Description copied from interface: `VMPlugin`
    Invokes a handle produced by #getInvokeSpecialdHandle
    Specified by:
      `invokeHandle` in interface `VMPlugin`
    Parameters:
      `handle` - the handle
      `args` - arguments for the method call, can be empty but not null
    Returns:
      the result of the method call
    Throws:
      `java.lang.Throwable`

  - ### checkCanSetAccessible

    public boolean checkCanSetAccessible​(java.lang.reflect.AccessibleObject accessibleObject, java.lang.Class<?> callerClass)
    Deprecated.
    The following scenarios can not set accessible, i.e. the return value is false 1) SecurityException occurred 2) the accessible object is a Constructor object for the Class class
    Specified by:
      `checkCanSetAccessible` in interface `VMPlugin`
    Parameters:
      `accessibleObject` - the accessible object to check
      `callerClass` - the callerClass to invoke `setAccessible`
    Returns:
      the check result

  - ### checkAccessible

    public boolean checkAccessible​(java.lang.Class<?> callerClass, java.lang.Class<?> declaringClass, int memberModifiers, boolean allowIllegalAccess)
    Deprecated.
    Description copied from interface: `VMPlugin`
    check whether the member can be accessed or not
    Specified by:
      `checkAccessible` in interface `VMPlugin`
    Parameters:
      `callerClass` - callerClass the callerClass to invoke `setAccessible`
      `declaringClass` - the type of member owner
      `memberModifiers` - modifiers of member
      `allowIllegalAccess` - whether to allow illegal access
    Returns:
      the result of checking

  - ### trySetAccessible

    public boolean trySetAccessible​(java.lang.reflect.AccessibleObject ao)
    Deprecated.
    Description copied from interface: `VMPlugin`
    Set the `accessible` flag for this reflected object to `true` if possible.
    Specified by:
      `trySetAccessible` in interface `VMPlugin`
    Parameters:
      `ao` - the accessible object
    Returns:
      `true` if the `accessible` flag is set to `true`; `false` if access cannot be enabled.

  - ### transformMetaMethod

    public MetaMethod transformMetaMethod​(MetaClass metaClass, MetaMethod metaMethod, java.lang.Class<?> caller)
    Deprecated.
    Description copied from interface: `VMPlugin`
    transform meta method
    Specified by:
      `transformMetaMethod` in interface `VMPlugin`
    Parameters:
      `metaClass` - meta class
      `metaMethod` - the original meta method
      `caller` - caller class, whose method sets accessible for methods
    Returns:
      the transformed meta method

  - ### transformMetaMethod

    public MetaMethod transformMetaMethod​(MetaClass metaClass, MetaMethod metaMethod)
    Deprecated.
    Description copied from interface: `VMPlugin`
    transform meta method.
    Specified by:
      `transformMetaMethod` in interface `VMPlugin`
    Parameters:
      `metaClass` - meta class
      `metaMethod` - the original meta method
    Returns:
      the transformed meta method